<?xml version="1.0" encoding="utf-8"?><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
  <xsl:include href="../_include/extbase.xsl"/>
  <xsl:template match="/extension">
    <html xmlns="http://www.w3.org/1999/xhtml">
    <head>
    <title><xsl:value-of select="name"/></title>
	<link rel="stylesheet" href="../_css/style.css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <xsl:call-template name="InitExtension"/>
	<script language="javascript">
	function onElementChange(id, value)
	{
		if (id == "format") {
			var audioOnly = (value == "MP3");
			document.getElementById("res").disabled = audioOnly;
			document.getElementById("bitrate").disabled = audioOnly;
		}
	}
	function onLoad()
	{
		var lcd = document.getElementById("lcd");
		lcd.bgColor=0x101010;
	}
	</script>
    </head>
    <body class="extension" onload="onLoad()" onunload="StopPlay()" background="/img/back.png">
	<div style="margin-left:5px; margin-top:5px">
    <table width="214" border="0">
      <tr>
        <td><table width="100%" border="0">
            <tr>
              <td width="80" height="30"><p>Format:</p></td>
              <td width="109"><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='format']"/></xsl:call-template></td>
            </tr>
            <tr>
              <td height="30">Video Bitrate:</td>
              <td><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='bitrate']"/></xsl:call-template> KBps </td>
            </tr>
            <tr>
              <td height="30">Resolution:</td>
              <td><xsl:call-template name="AddElement">
                <xsl:with-param name="element" select="elements/element[@id='res']"/>
                </xsl:call-template></td>
            </tr>
            <tr>
              <td height="30">Audio Quality :</td>
              <td><xsl:call-template name="AddElement"><xsl:with-param name="element" select="elements/element[@id='aq']"/></xsl:call-template></td>
            </tr>
          </table>
          <p align="center">
            <input type="button" value="Play" style="width: 64px" onclick="PlayVideo(lcd())" />
            <input type="button" value="Preview" style="width: 64px" onclick="PlayConvertedVideo(lcd())" />
            <input type="button" value="Skip 10s" style="width: 64px" onclick="SendCommand('seek +10')" />
            <input type="button" value="Crop" style="width: 64px" onclick="SendCommand('show_cropper')" />
            <input type="button" value="SetTime" style="width: 64px" onclick="SendCommand('set_time')" />
            <input type="button" value="Start" style="width: 64px" onclick="SendCommand('transcode')" />
          </p></td>
      </tr>
    </table>
	</div>
    <div style="position:absolute; left: 229px; top: 15px"> <img src="N66.png" /> </div>
    <embed width="114" height="84" style="position:absolute; left: 248px; top: 40px; width: 155px; height: 127px;" id="lcd" type="application/x-xulplayer-scriptable-plugin"> </embed>
    </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
